#! /bin/ksh
# @ job_type=MPICH
# @ class = Parallel     
# @ output = ivp.$(host).$(jobid).$(stepid).out
# @ error =  ivp.$(host).$(jobid).$(stepid).err
# @ restart = no
# @ requirements = ((OpSys == "AIX53") || (OpSys == "Linux2"))
# # Each task will use 1 consumable_resource of type "myriport"
# @ resources = myriport(1)
# @ node = 2
# @ total_tasks = 6
# @ queue

# Mpich compiled and installed at /opt/osshpc/mpich-1.2.6..13  should be 
#  configured to use llspawn.

export MP_RSH=llspawn
/opt/osshpc/mpich-1.2.6..13/64/bin/mpirun -np $LOADL_TOTAL_TASKS -machinefile $LOADL_HOSTFILE ivp

